commit: dddb8e8b007d1884499ca63afe98c4afee0ce53b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 19 05:17:28 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 19 05:28:23 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dddb8e8b
dev-python/orjson: Bump to 3.9.12
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/orjson/Manifest | 1 +
dev-python/orjson/orjson-3.9.12.ebuild | 94 ++++++++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index 7d5009fade5e..c5e2bbdb9d5d 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -27,6 +27,7 @@ DIST once_cell-1.18.0.crate 32969 BLAKE2B
a08d5beee50a7add28bd9e50b18709e7b34574
DIST once_cell-1.19.0.crate 33046 BLAKE2B
c14b374eaf4ac0f60acc2e02f7bba270a0e8e0a6978d749cd3cb0ab3eb26907e4fbea70dd5132982f90290381ed18ff8a87fd530f1415fabffac864f157ea380
SHA512
4154876afd34a699ee650d1a8a1c5ee5a25f0ebd9388b8bef2564e33629fae68f113d7507488c68abbe7ea1acf9bbc41813cbbf3ef3e464e3f3b9cc7a51d870c
DIST orjson-3.9.10.tar.gz 5361203 BLAKE2B
152c6a2a02a5ebc5a755cffbbafe83502272eeea1da602c9b334365b5cb391accb61bc19a52a1f359620c47e02e761e3b6cacbc87f3e74463d0a03886ac42a50
SHA512
070bbee45ec08b1496b0f92d5b36d278000e33f00af6e45f2857b97c14682887558ca6413789cfebfc96a29d2366be0832a01e5e9a69868ab66d2907f86d999a
DIST orjson-3.9.11.tar.gz 4821155 BLAKE2B
41048bacbad2e7328cb8d1e87f5049a9934b2971bcd9b5192abaf942cec0fbcee715861a511cddd20018cce404542db0fb68aaafe99a9625ccf5ab061234d1b5
SHA512
cde3bc80a7a92ac9d38026dba5de54f38087611c2281546cf203f76ceffa855df2af4b0f7fae28d0388e1654a57e932c6e6dd9ae3382eab5dbb2a47d29c92d8d
+DIST orjson-3.9.12.tar.gz 4821075 BLAKE2B
893eb8847cb97cf4468b1143f6fd6e1bc2f3efa81fc44d39c55660681a0a449c578431536a413415c4c4f8e69aac51a00fe5f0ff4b874f2ef94efc6d36e782cd
SHA512
b2689d92b34b6c818e5a798e6de08d693e3a6b04f205d943fb8960727153635faf7118d33ea78a79ce09aa0b066b07d431b27871a61a8de536f64a80f6bab387
DIST packed_simd-0.3.9.crate 98340 BLAKE2B
8668038eb213cec44afded5164ccf368fbecea21aa3de64d49e798d7f0fac638af9616a435cb79cf0435387f67fe97a7eb00748eaf39be14bb6d50ecbb4c938e
SHA512
1336ed8aee50a580784f38388f0cc2f0a8639149333e94b7f83aa7cc314a80c60b66ac203a7302cd4cf01f3d0b89da58d2ce9038b7685840fbc1b758217dbd1b
DIST proc-macro2-1.0.69.crate 44271 BLAKE2B
9d1531a0b123e6238363d574bee03ad050454b65710b9800c12597f3a9ae2f9bf50c617da0472b7ac0b549afaca19c546ccd6519e648598500efda9c0db2ef6d
SHA512
d197cbe9b6100c3193a01fd7dd6b4e49d440290012ababb5d9f139409f0afe816f213d67a03abeb1f3227228e0a1f2446d1dc0a2775363a15d1237c38b45d6a1
DIST proc-macro2-1.0.76.crate 45660 BLAKE2B
40b538d9d9fec10b9e4b147ce0a86efb10feedf9e0452e5568e8ad7d2b88a201ca6ffd2cd62d8815a1ee72d557fe6280120a913868c3d868c1235686742cd8b8
SHA512
2ea7ade475171166489ab3e745e8c526e49c7521bc39b1bfec6dd2fd0807fd3cc5579235f77534be855f9ecab481205e77e66b14ebb22e66d2c3cff842567247
diff --git a/dev-python/orjson/orjson-3.9.12.ebuild
b/dev-python/orjson/orjson-3.9.12.ebuild
new file mode 100644
index 000000000000..5a02e869182b
--- /dev/null
+++ b/dev-python/orjson/orjson-3.9.12.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{10..12} )
+
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-snapshot-preview1
+ [email protected]
+ [email protected]
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses,
datetimes, and numpy"
+HOMEPAGE="
+ https://github.com/ijl/orjson/
+ https://pypi.org/project/orjson/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions BSD CC0-1.0 MIT Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ dev-python/pendulum[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -s
+}